> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search for webhook subscriptions by query string or specific webhook references.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/webhooks
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/webhooks:
    post:
      tags:
        - Webhook
      summary: Search
      description: >-
        Search for webhook subscriptions by query string or specific webhook
        references.
      operationId: c1.api.webhooks.v1.WebhooksSearch.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.webhooks.v1.WebhooksSearchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.webhooks.v1.WebhooksSearchResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.WebhooksSearch.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.WebhooksSearchResponse != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.webhooksSearch.search();

              for await (const page of result) {
                console.log(page);
              }
            }


            run();
components:
  schemas:
    c1.api.webhooks.v1.WebhooksSearchRequest:
      description: The WebhooksSearchRequest message.
      properties:
        pageSize:
          description: The maximum number of webhooks to return per page.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: >-
            The pagination token from a previous search response to fetch the
            next page.
          readOnly: false
          type: string
        query:
          description: A text query to match against webhook names and descriptions.
          readOnly: false
          type: string
        refs:
          description: >-
            Optional set of webhook references to restrict the search to
            specific webhooks.
          items:
            $ref: '#/components/schemas/c1.api.webhooks.v1.WebhookRef'
          nullable: true
          readOnly: false
          type: array
      title: Webhooks Search Request
      type: object
      x-speakeasy-name-override: WebhooksSearchRequest
    c1.api.webhooks.v1.WebhooksSearchResponse:
      description: The WebhooksSearchResponse message.
      properties:
        list:
          description: The list of webhooks matching the search criteria.
          items:
            $ref: '#/components/schemas/c1.api.webhooks.v1.Webhook'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            A token to retrieve the next page of results, or empty if there are
            no more results.
          readOnly: false
          type: string
      title: Webhooks Search Response
      type: object
      x-speakeasy-name-override: WebhooksSearchResponse
    c1.api.webhooks.v1.WebhookRef:
      description: The WebhookRef message.
      properties:
        id:
          description: The ID of the referenced webhook.
          readOnly: false
          type: string
      title: Webhook Ref
      type: object
      x-speakeasy-name-override: WebhookRef
    c1.api.webhooks.v1.Webhook:
      description: The Webhook message.
      properties:
        callbackTimeout:
          format: duration
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: An optional description of the webhook's purpose.
          readOnly: false
          type: string
        displayName:
          description: The human-readable name of the webhook.
          readOnly: false
          type: string
        id:
          description: The unique identifier of the webhook.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        url:
          description: The destination URL that receives event notification HTTP callbacks.
          readOnly: false
          type: string
      title: Webhook
      type: object
      x-speakeasy-entity: Webhook
      x-speakeasy-name-override: WebhookEndpoint
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````